#!/bin/bash

# Install texlive
echo "instaling cmake" && \
dnf install -y mingw64-gcc-c++ cmake make mingw32-nsis gtest gtest-devel python3 python3-pip git perl
#cleanup
dnf clean dbcache && dnf clean packages

# install conan
pip3 install conan

git clone https://gitlab.heili.eu/lukas/dynuiprefresher.git
cd dynuiprefresher || exit
git checkout conansupport

mkdir -p build # create build folder
CONAN_SYSREQUIRES_MODE=enabled CONAN_SYSREQUIRES_SUDO=0 conan install . --build=missing --profile mingw64.profile


# cleanup
conan remove "*" -s -b -f

cd ..
rm -Rf ./dynuiprefresher
rm /tmp/build.sh